org.h2.api

## Interface CredentialsValidator

All Superinterfaces:
  Configurable

All Known Implementing Classes:
  JaasCredentialsValidator, LdapCredentialsValidator, StaticUserCredentialsValidator

    public interface CredentialsValidator
    extends Configurable

A class that implement this interface can be used to validate credentials provided by client.

This feature is experimental and subject to change

### Method Summary

Methods
`boolean` `validateCredentials(AuthenticationInfo authenticationInfo)` Validate user credential.

### Methods inherited from interface org.h2.security.auth.Configurable

`configure`

### Method Detail

#### validateCredentials

    boolean validateCredentials(AuthenticationInfo authenticationInfo)
                                throws java.lang.Exception

Validate user credential.

Parameters:
  `authenticationInfo` - = authentication info
Returns:
  true if credentials are valid, otherwise false
Throws:
  `java.lang.Exception` - any exception occurred (invalid credentials or internal issue) prevent user login